// FileData.h: interface for the CFileData class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEDATA_H__D5DCEF07_79D5_11D5_A0E6_009027A4D0CE__INCLUDED_)
#define AFX_FILEDATA_H__D5DCEF07_79D5_11D5_A0E6_009027A4D0CE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFileData  
{
public:
	BOOL Write(LPVOID lpszBuff, DWORD& dwLen, fpos_t pos = (-1));
	BOOL Read(LPVOID lpszBuff, DWORD& dwLen, fpos_t pos = 0);
	DWORD GetLength();

	CFileData();
	virtual ~CFileData();
	CFileData(LPCTSTR lpszFileName, BOOL bInput = TRUE);
	
	BOOL Flush();
	BOOL IsOpen();
	void Close();
	BOOL Open(BOOL bAppend = FALSE);
	BOOL m_bInput;
	LPCTSTR m_lpszFileName;

protected:
	FILE* m_pStream;
};

#endif // !defined(AFX_FILEDATA_H__D5DCEF07_79D5_11D5_A0E6_009027A4D0CE__INCLUDED_)
