// ThreadTool.cpp: implementation of the CTreadTool class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#include "ShowErrors.h"

#include "RegFind.h"
#include "Filedata.h"
#include "RegKeyTools.h"
#include "ThreadTool.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

DWORD WINAPI ThreadProc(LPVOID lpParam)
{
	DWORD dwExitCode = THREAD_INIT_ERR; 
	
	// Chect ThreadInfo
	LPTHREADINFO pThreadInfo = (LPTHREADINFO)lpParam;
	if (pThreadInfo == NULL)
		return dwExitCode;
	
	// Chect pRegKeyTools
	HWND hWnd = pThreadInfo->hWndNotify;
	CRegKeyTools* pRegKeyTools = pThreadInfo->pRegKeyTools;
	if (pRegKeyTools == NULL)
		return dwExitCode;
	
	// Try find
	dwExitCode = THREAD_OTHER_ERR;
	if (pRegKeyTools->Find())
		dwExitCode = THREAD_SUCCEEDED;
	else
		if (pRegKeyTools->IsTerminated()) 
			dwExitCode = THREAD_TERMINATED_ERR;
	
	// Try send meassege on thread end
	if (hWnd != NULL)
	{
		::PostMessage(hWnd, UM_ENDTHREAD, 0, 0);
	}
	return dwExitCode;
}
